Bug 1079084 - [GSS] (6.3.0) Webservices DUP is not scanning all visible classes for @WebService annotation
[GSS] (6.3.0) Webservices DUP is not scanning all visible classes for @WebSer...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: EAP 6.3.0
Assigned To: Jim Ma
Kyle Lape
Russell Dickenson
:
Depends On:
Blocks: 1079085 1086385
  Show dependency treegraph
 
Reported: 2014-03-20 20:07 EDT by Kyle Lape
Modified: 2014-08-11 22:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the Webservices DUP in previous versions of JBoss EAP 6 carried a bug that prevented it from scanning all visible classes with the @WebService annotation. An error presented when a `war` archive that contained a `web.xml` with a <servlet-class> that refers to a JAX-WS endpoint (so the class is annotated with @WebService) was located within an `ear` archive and the `jar` containing the class was located in the `ear` archive's `lib/` directory. The relevant code has been amended in this release to scan more thoroughly for @WebService classes and the error no longer presents.
Story Points: ---
Clone Of:
: 1079085 (view as bug list)
Environment:
Last Closed: 2014-06-28 11:28:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3067 Major Resolved Webservices DUP is not scanning all visible classes for @WebService annotation 2014-09-08 20:12:27 EDT

  None (edit)
Description Kyle Lape 2014-03-20 20:07:18 EDT
Sample use case: You have a .war in an .ear, and the .war has a web.xml with a <servlet-class> that refers to a JAX-WS endpoint, so the class is annotated with @WebService. If that class is packaged in a jar found in the ear's lib directory, the JBossWS DUP won't pick it up, and then Undertow will throw an error like this (except of course the JBossWeb equivalent):

UT010009: Servlet ClientEndpoint of type class com.redhat.gss.jaxws.ClientEndpoint does not implement javax.servlet.Servlet
Comment 1 JBoss JIRA Server 2014-03-24 11:13:53 EDT
Alessio Soldano <asoldano@redhat.com> updated the status of jira WFLY-3067 to Resolved
Comment 3 sgilda 2014-05-12 14:25:08 EDT
Changed <filename></filename> tags in Doc Text to ticks (`) to fix Bug 1096865

Note You need to log in before you can comment on or make changes to this bug.